Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156413 - xfs starts too early
Summary: xfs starts too early
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-29 21:11 UTC by Bill Nottingham
Modified: 2014-03-17 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 07:51:38 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-04-29 21:11:19 UTC
Description of problem:

It starts at priority 8, which means it will fail with nfs-mounted /usr


Version-Release number of selected component (if applicable):

xorg-x11-xfs-6.8.2-29

How reproducible:

Every time

Comment 1 Mike A. Harris 2005-04-30 17:51:41 UTC
reverted in 6.8.2-30 in dist-fc4-HEAD

How did rhgb ever work on systems that have /usr nfs mounted?

Comment 2 Mike A. Harris 2005-04-30 17:52:31 UTC
(meaning the X server binary is in /usr, so unavailable until NFS is mounted
 on such systems)

Comment 3 Ray Strode [halfline] 2005-05-02 13:02:22 UTC
It tries to start rhgb twice.   Once before network filesystems are mounted,
once after.

Comment 4 Ray Strode [halfline] 2005-05-02 13:04:25 UTC
An alternative to changing the default priority of xfs is to do
/sbin/service xfs start inside rc.sysinit or the gdm-early-login script,
although that seems icky.

Comment 5 Bill Nottingham 2005-05-02 16:03:20 UTC
Basically, rhgb silently failed with nfs /usr - you just didn't get it.


Note You need to log in before you can comment on or make changes to this bug.